<?php

namespace apexl\Io\modules\paymentDisplay\callbacks;

use apexl\Io\modules\display\components\EntityFilteredDisplayTable;
use apexl\Io\modules\payment\entities\paymentEntity;

class userDisplay {
    /**
     * @throws \Exception
     */
    public static function display($components, $user_id)
    {
        $entity = new paymentEntity();
        $listTable = new EntityFilteredDisplayTable();
        $listTable->setFilters('orderBy[]='.$entity->primaryKey.'&orderBy[]=DESC');
        $components[] = $listTable;
        //return $components;
    }
}